#!/bin/bash
# configuration du système 
echo "Europe/Paris" > $CHROOT/etc/timezone
cp /etc/resolv.conf $CHROOT/etc/resolv.conf
echo "fr_FR.UTF-8 UTF-8" >> $CHROOT/etc/locale.gen
chroot $CHROOT /bin/bash -c "locale-gen"
echo 'LANG="fr_FR.UTF-8"' > $CHROOT/etc/env.d/02locale
echo 'LC_COLLATE="C"' >> $CHROOT/etc/env.d/02locale
chroot $CHROOT /bin/bash -c "useradd -p \`openssl passwd -1 password\` -G wheel joe"
sed -i 's/keymap="us"/keymap="fr"/g' $CHROOT/etc/conf.d/keymaps

for interfaces in `ls /sys/class/net | sed /lo/d`
do
chroot $CHROOT /bin/bash -c "ln -s /etc/init.d/net.lo /etc/init.d/net.$interfaces"
chroot $CHROOT /bin/bash -c "rc-update add net.$interfaces default"
done
chroot $CHROOT /bin/bash -c "rc-update add sshd default"

echo "$SYS        /             ext4    noatime      0 1" >   $CHROOT/etc/fstab
echo "$SWAP       none          swap    sw           0 0" >>  $CHROOT/etc/fstab
echo "/dev/cdrom  /mnt/cdrom    auto    noauto,ro    0 0" >>  $CHROOT/etc/fstab